Subject: Strings
From: Mark Kuzmycz <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 29 Jul 1994 10:30:10 --1000

I've been attempting to create strings outside of blitz and have come to the
conclusion that I souldn't as Blitz crashes when it trys to free the string.

With this in mind I have now proceeded to create a library to scan a block
of memory extracting strings terminated with a new line (faster edit function).

This is my current interpretation of the way command in a library work.

Register A3 points to a tempory string. I can only assume that this is
the string buffer. 

When a function, that returns a string, finishes it returns the string
size in d0. The part that I'm not sure about is what does A3 return.
I've seen other library code and for the library a3 returns a pointer
to the last character in the string. 

Is this correct?

Also could someone elaborate a bit more apon the tutorial for creating a library.

Thanks Mark.